// file      : CCF/IDL3/Traversal/Home.cpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : Home.cpp,v 1.2 2003/07/29 21:45:40 boris Exp

#include "CCF/IDL3/Traversal/Home.hpp"

namespace CCF
{
  namespace IDL3
  {
    namespace Traversal
    {
      // HomeDef
      //
      //
      void HomeDef::
      traverse (NodePtr const& n)
      {
        if (!delegate (n))
        {
          pre (n);
          scope (n);
          post (n);
        }
      }

      void HomeDef::
      pre (NodePtr const&)
      {
      }

      void HomeDef::
      scope (NodePtr const& n)
      {
        delegate_scope (n);
      }

      void HomeDef::
      post (NodePtr const&)
      {
      }
    }
  }
}
